// Instructions in this section ('setup') are run once,
// when power is applied or the Arduino is reset.
// "Blinky"

void setup() {
  // Set digital pin 6, which the LED is connected to,
  // to be an output.
  pinMode(6, OUTPUT);
}

// Instructions in this section ('loop') run continuously,
// until power is removed.

void loop() {
  // Set the output of digital pin 6 high, turning the LED on.
  digitalWrite(6, HIGH);
  // Delay 1 second (1000 milliseconds)
  delay(1000);
  // Set the output low again, turning the LED off.
  digitalWrite(6, LOW);
  // Delay another second.
  delay(1000);
  // At this point, control will loop back up to the start
  // of this section.
}
