
// Hitchin Hackspace Arduino Starter Kit
// https://hackhitchin.org.uk/arduinokit/
// https://wiki.hackhitchin.org.uk/index.php?title=Arduino_Kit#Project:_Nightlight
//
// Code Examples
// "Nightlight"

void setup() {
  // The light is connected to pin 6.
  pinMode(6, OUTPUT);
  
  // No configuration is necessary for the analog input pins.
}

void loop() {
  // Define the point at which we want the light to switch on
  const int threshold = 512;

  // Read the value from the light sensor.
  // Note that pin 0 here refers to analog pin 0,
  // (A0) not D0.
  int value = analogRead(0);

  // If it's dark, the sensor will have a high resistance,
  // so the analog pin will record a high voltage.
  if (value > threshold) {
    // In that case, turn the nightlight on.
    digitalWrite(6, HIGH);
  }
  else {
    // Otherwise, turn it off.
    digitalWrite(6, LOW);
  }
}
