
// Hitchin Hackspace Arduino Starter Kit
// https://hackhitchin.org.uk/arduinokit/
// https://wiki.hackhitchin.org.uk/index.php?title=Arduino_Kit#Project:_Organ
//
// Code Examples
// "Organ"

void setup() {
  // The sounder is connected to pin 6.
  pinMode(6, OUTPUT);
  // The organ keys are connected to pins 7, 8 and 9.
  pinMode(7, INPUT);
  pinMode(8, INPUT);
  pinMode(9, INPUT);
}

void loop() {
  // Check the first key.
  if (digitalRead(7)) {
    // 3,520 Hz is approximately an 'A'.
    tone(6, 3520);
  }
  // If that's not pressed, try the next key
  else if (digitalRead(8)) {
    // 3,951 Hz is a 'B'.
    tone(6, 3951);
  }
  // If that's not pressed, try the next key
  else if (digitalRead(9)) {
    // 4,186 is a 'C'.
    tone(6, 4186);
  }
  // If no keys are pressed, silence the sounder.
  else {
    noTone(6);
  }
}
