// Hitchin Hackspace Arduino Starter Kit
// https://hackhitchin.org.uk/arduinokit/
// https://wiki.hackhitchin.org.uk/index.php?title=Arduino_Kit#Project:_Toggle_Switch
//
// Code Examples
// "Toggle Switch"

void setup() {
  // Set digital pin 6 (the LED) as an output.
  pinMode(6, OUTPUT);
  // Set digital pins 7 and 8 (the buttons) as inputs.
  pinMode(7, INPUT);
  pinMode(8, INPUT);
}

void loop() {
  // If the input at pin 7 is a high voltage,
  if (digitalRead(7)) {
    // Turn the LED on.
    digitalWrite(6, HIGH);
  }
  // If the input at pin 8 is a high voltage,
  if (digitalRead(8)) {
    // Turn the LED off.
    digitalWrite(6, LOW);
  }
}
